WTD Problem For R4

Discussion in 'NDS - Emulation and Homebrew' started by 2lazy2name, Apr 21, 2010.

  1. 2lazy2name
    OP

    2lazy2name Member

    Newcomer
    38
    1
    Mar 15, 2010
    United States
    California
    [​IMG] I wanna try playing Warcraft Tower Defense v0.5 but it won't work.
    I tried DLDI patching it and it still goes on a white screen.
    I tried on DSOrganize but then something shows up saying that I didn't even dldi patch it.
    Can anyone help me?
    I'm using dlditool32
     
  2. jurassicplayer

    jurassicplayer Completionist Themer

    Member
    4,342
    478
    Mar 7, 2009
    United States
    Pantsuland
    Did you check if everything is set up correctly, or attempt reformatting and redownloading?
     
  3. 2lazy2name
    OP

    2lazy2name Member

    Newcomer
    38
    1
    Mar 15, 2010
    United States
    California
    Yeah I checked everything then re downloaded wtd and it still goes white screen.
     
  4. twiztidsinz

    twiztidsinz Taiju Yamada Fan

    Member
    4,981
    5
    Dec 23, 2008
    United States
    WTD only works on the R4 Official, R4li Unofficial and Wood R4 firmwares.... It will not work on YSMenu.
    You -MUST- have the Maps folder at the root of your card (x:\Maps), the NDS file can be just about anywhere else.
     
  5. fgghjjkll

    fgghjjkll GBATemp MegaMan

    Member
    GBAtemp Patron
    fgghjjkll is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    2,041
    42
    Jul 7, 2008
    Later versions of YSMenu have dldi support, twiztidsinz. Even if it didn't, identify which R4 clone you have and download DLDIrc. If you have acekcard clone, tick acekard checkbox in installation window, if you have ttds clone, check the appropriate checkbox. Same goes for other carts.
     
  6. twiztidsinz

    twiztidsinz Taiju Yamada Fan

    Member
    4,981
    5
    Dec 23, 2008
    United States
    I know YSMenu has DLDI support... but as far as I know, no firmware has 100% homebrew compatibility.
    iFile and WTD would not run at all on YSMenu, but Moonshell can load iFile. I'm not sure about WTD since it was too big and triggered the _hn/_vh loader which was YSLoader on my R4.
     
  7. 2lazy2name
    OP

    2lazy2name Member

    Newcomer
    38
    1
    Mar 15, 2010
    United States
    California
    Uhmm just if you need to know I'm using v1.18kernel R4 sdhc and yea...
    Do I have to change to a diff kernel/firmware o-o
     
  8. twiztidsinz

    twiztidsinz Taiju Yamada Fan

    Member
    4,981
    5
    Dec 23, 2008
    United States
    Oh.. you have a R4SDHC clone?
    That's possibly why DLDI patching it didn't work, if you used the "R4DS" DLDI (for Real R4s).

    I'm not sure which firmware will play it on a R4SDHC, sorry.
    For the DLDI, you can do the following:
    1). Download Moonshell2 Tools from here: http://gbatemp.net/index.php?showtopic=208136
    2). Extract DLDIcaptor from the archive and place it on your MicroSD card.
    3). Run the DLDIcaptor.nds file which will extract your cards DLDI.
    4). DLDI patch the Warcraft Tower Defense NDS file with the DLDI.
     
  9. Xenon++

    Xenon++ Taiju Yamada

    Member
    1,394
    2
    Dec 17, 2009
    I think r4tf_v2 will be OK
    And make sure your microSDHC is
     
  10. 2lazy2name
    OP

    2lazy2name Member

    Newcomer
    38
    1
    Mar 15, 2010
    United States
    California
    I used the dldicaptor and when I patched it, the same thing happens.

    White Screen [​IMG]
     
  11. fearofshorts

    fearofshorts GBAtemp Fan

    Member
    479
    1
    Jul 12, 2009
    Melbourne
    Yeah, WTD has problems with larger SDs for some reason. There's a hacked-up version on it's website that fixed the problem for me.
     
  12. 2lazy2name
    OP

    2lazy2name Member

    Newcomer
    38
    1
    Mar 15, 2010
    United States
    California
    There was a hacked up version on the website?
    I checked and there isn't it only shows the source, and the demos they had.
    Are you really sure they had it there?
     
  13. alfun

    alfun Newbie

    Newcomer
    9
    0
    Jul 11, 2012
    United States
    Has anyone been able to get Warcraft: Tower Defense v0.5 to work on the R4 flashcart? Is there a guide on how to get this game working on the R4? I followed the instructions from the "how to install.txt" and did the DLDI-patching, but when I try to play the game I get a black screen with white letters that say "Initializing FAT/EFS, please wait..." message and its stuck on this screen, I have to turn off the NDSL and turn it back on.

    I downloaded Warcraft: Tower defense from here: http://ndswtd.wordpress.com/download/

    I am using Wood R4 1.49 Kernal from here: http://filetrip.net/...149-f29437.html

    I think my R4 is a 1:1 clone according to here: http://gbatemp.net/t...ing-up-wood-r4/ my box says "http://www.r4ds.com".
     
  14. alfun

    alfun Newbie

    Newcomer
    9
    0
    Jul 11, 2012
    United States
    I got the game working, it works with v0.4 beta and didn't require DLDI-patching. Just put the Maps folder and .nds file in the root directory.

    Also found some more maps:
    http://noda.free.fr/wtd/ftp/maps/

    If you really want to get v0.5 to work I guess you could try to downgrade to v1.18 Kernal or try DSOrganize.